
Image Component Library - Feature #106

Replace TestImage Framework by real image files

2012-09-12 12:06 - Christof Elbrechter

Status: Closed Start date: 2012-09-12

Priority: Low Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: icl-8.1   

Description

rename ICLVersion.h.cmake to Version.h.in to reduce redundancy (.cmake prefix is wrong)

create ICLConfig.h.in in (in ICLUtils)

that provides a method getInstallPrefix() or something similar

Replace TestImages by a new class   * this could simply use real (lossless encoded .png) test images from

getInstallPrefix()+"/etc/test-images/" rather than

hardcoded and compiled jpg-images

propergate these adaptions to the other files (perhaps, we can stick to the current TestImages interface)

removed very old test-images

added some other common test images

History

#1 - 2013-02-14 11:12 - Christof Elbrechter

- Priority changed from Normal to Low

- Target version changed from icl-8.0 to icl-8.1

#2 - 2017-11-22 22:15 - Alexander Neumann

- Status changed from New to Closed
